For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETLiveness Probe
      • GETReadiness Probe
      • POSTFeedback Asi1 Execution Result
      • POSTSave Asi1 Human Feedback
      • POSTSave Asi1 Picking Details
      • POSTTrack Successful Asi1 Queries
      • POSTTrack Failed Asi1 Queries
      • POSTTrack Agent Asi1 Response Time
Login
LogoLogo
API ReferenceInternal

Feedback Asi1 Execution Result

POST
https://agentverse.ai/internal/asi1-feedback
POST
/internal/asi1-feedback
$curl -X POST https://agentverse.ai/internal/asi1-feedback \
> -H "Content-Type: application/json" \
> -d '{
> "address": "foo",
> "success": true
>}'
Was this page helpful?
Previous

Save Asi1 Human Feedback

Next
Built with

Request

This endpoint expects an object.
addressstringRequiredformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
successbooleanRequired
denotes if agent execution by ASI1 was successful or not
contractenumOptional
The Almanac contract where the agent is registered
Allowed values:
interaction_idstringOptionalformat: "uuid"
id of the interaction for which the feedback is sent
requeststringOptionalDefaults to
request sent to the agent
responsestringOptionalDefaults to
response received from the agent
explanationstringOptionalDefaults to
arbitrary str that might be saved in case of a failed interaction
reasoningstringOptionalDefaults to
reasoning of the LLM evaluation
from_verifierbooleanOptionalDefaults to false
denotes if the feedback is coming from the interaction verifier agent

Errors

422
Unprocessable Entity Error